module RND_Extensions

	module RND_RESCENE
		require 'sketchup.rb'
		require 'RND_Resballiza/RND_Resballiza_loader.rb'
	end 

	if !file_loaded?('rnd_menu_loader')
		@@rnd_tools_menu = UI.menu("Plugins").add_submenu("Renderiza Tools")
	end 
	
	#------New menu Items---------------------------
	if !file_loaded?('rnd_ew_loader')
		@@rnd_ew_menu = @@rnd_tools_menu.add_submenu("Websites")
		@@rnd_ew_menu.add_separator
		@@rnd_ew_menu.add_item("My YouTube"){UI.openURL('http://www.youtube.com/renderizastudio')}
		@@rnd_tools_menu.add_separator
		@@rnd_ew_menu.add_separator
	end
	#------------------------------------------------
	
	if !file_loaded?(__FILE__) #then
		@@rnd_tools_menu.add_item('Resballiza') {
			Sketchup.active_model.select_tool RND_Extensions::RND_Resballiza::Resballiza.new
			
			path = File.dirname(__FILE__) # this plugin's folder
			lvl_1 = "Resballiza_Demo.skp"
			file = File.join(path, lvl_1)
	
			Sketchup.open_file file
		}
		# Add toolbars
		rnd_resballiza_tb = UI::Toolbar.new "Resballiza"
		rnd_resballiza_cmd = UI::Command.new("Resballiza") {
			Sketchup.active_model.select_tool RND_Extensions::RND_Resballiza::Resballiza.new
			
			path = File.dirname(__FILE__) # this plugin's folder
			lvl_1 = "Resballiza_Demo.skp"
			file = File.join(path, lvl_1)
	
			Sketchup.open_file file
		}
		# icons toolbar
		rnd_resballiza_cmd.small_icon = "img/resballiza_1_16.png"
		rnd_resballiza_cmd.large_icon = "img/resballiza_1_24.png"
		rnd_resballiza_cmd.tooltip = "Resballiza"
		rnd_resballiza_cmd.status_bar_text = "Ball Game"
		rnd_resballiza_cmd.menu_text = "Resballiza"
		rnd_resballiza_tb = rnd_resballiza_tb.add_item rnd_resballiza_cmd
		rnd_resballiza_tb.show
	
	end
	
	file_loaded('rnd_ew_loader')
	file_loaded('rnd_menu_loader')
	file_loaded(__FILE__)
	
end