module RND_Extensions

	module RND_Resballiza
		require 'sketchup.rb'
		require 'extensions.rb'

		unless file_loaded?( __FILE__ )
			file_loaded( __FILE__ )
			# Create the extension.
			ext = SketchupExtension.new 'Resballiza', 'RND_Resballiza/RND_Resballiza_menus.rb'
			
			# Attach some nice info.
			ext.creator     = 'Renderiza'
			ext.version     = '1.0.2'
			ext.copyright   = '2013, Renderiza Studio.'
			ext.description = 'SketchUp Ball Game'

			# Register and load the extension on startup.
			Sketchup.register_extension ext, true
		end

	end

end

file_loaded( __FILE__ )